:root {
	--column-gutter: 0.5em;
}

.product-grid-sidebar {
	& .product-card {
		margin-top: 0;
	}

	& .sidebar-section__block--sidebar {
		@media (--s) {
			width: 200px;
		}

		@media (--m) {
			width: var(--sidebar-width);
		}
	}

	& .sidebar-section__block--content {
		@media (--s) {
			flex: 1 1 0;
			margin-top: 0;
		}
	}
}

.product-grid-sidebar--1-columns {
	& .product-grid-sidebar__col {
		@mixin column-item 1, 1em;
	}
}

.product-grid-sidebar--2-columns,
.product-grid-sidebar--3-columns,
.product-grid-sidebar--4-columns,
.product-grid-sidebar--5-columns {
	& .product-grid-sidebar__col {
		@mixin column-item 2, 1em;
	}
}

.product-grid-sidebar--3-columns {
	& .product-grid-sidebar__col {
		@media (--sm) {
			@mixin column-item 3, 1em;
		}
	}
}

.product-grid-sidebar--4-columns {
	& .product-grid-sidebar__col {
		@media (--s) {
			@mixin column-item 4, 1em;
		}
	}
}

.product-grid-sidebar--5-columns {
	& .product-grid-sidebar__col {
		@media (--s) {
			@mixin column-item 3, 1em;
		}

		@media (--m) {
			@mixin column-item 5, 1em;
		}
	}
}

.product-grid-sidebar__header {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;

	@media (--s) {
		flex-wrap: wrap;
	}
}

.product-grid-sidebar__menu {
	margin: auto;
	display: none;
}

.product-grid-sidebar__menu-items {
	display: flex;
	margin-top: 0.5em;

	@media (--s) {
		flex-direction: row;
		align-items: center;
		box-shadow: none;
		border-radius: 0;
		position: static;
		left: unset;
		top: unset;
		transform: translateY(0);
		opacity: 1;
		visibility: visible;
	}
}

.product-grid-sidebar.mobile-menu-visible {
	& .product-grid-sidebar__description {
		justify-content: space-between;
		align-items: center;
	}

	&.sidebar-category-visible .product-grid-sidebar__menu-items {
		transform: translateY(0) !important;
		opacity: 1 !important;
		visibility: visible !important;
	}

	& .product-grid-sidebar__item {
		margin-top: 0 !important;
		width: 100%;
		padding: 0 1em;

		& a {
			border-bottom: 1px solid var(--border);
			width: 100%;
			border-right: 0;
			line-height: 2.25;
			text-decoration: none;
		}

		&:last-child {
			& a {
				border-bottom: 0;
			}
		}
	}

	& .product-grid-sidebar__menu {
		display: block;
	}

	& .product-grid-sidebar__menu-items {
		@mixin scrollbar;
		@mixin fade-out;

		align-items: flex-start;
		flex-direction: column;
		border-radius: 4px;
		box-shadow: 0 2px 6px 0 rgba(50, 50, 50, 0.33);
		position: absolute;
		width: 100%;
		z-index: 3;
		left: 0;
		top: 100%;
		background-color: var(--white);
		transform: translateY(-20px);
		padding: 0.5em 0;
		max-height: 250px;
		overflow-y: auto;
	}
}

.product-grid-sidebar__description {
	display: flex;
}

.product-grid-sidebar__item {
	list-style: none;
	margin-top: 0 !important;
	width: 100%;

	@media (--s) {
		width: auto;
	}

	& a {
		display: inline-block;
		margin-right: 1em;
		transition: 0.4s;

		@media (--s) {
			border-right: 1px solid var(--gray);
			border-bottom: none;
			width: max-content;
			line-height: 1;
			padding: 0 1em 0 0;
		}

		&:hover {
			color: var(--primary);
		}
	}

	&:last-child {
		& a {
			border-right: none;
			border-bottom: none;
		}
	}
}

.product-grid-sidebar__content {
	& .sidebar-section__block--content {
		padding-left: 0.5em;
	}

	& .sidebar-section__block--sidebar {
		& .sidebar-section__inner {
			& a {
				margin-bottom: 0;
				display: block;
				width: calc(50% - 0.5em);

				@media (--s) {
					margin-bottom: 1em;
					width: 100%;
				}
			}
		}
	}
}

.product-grid-sidebar__grid {
	margin: 0 calc(-1 * var(--column-gutter));
}

.product-grid-sidebar__col {
	padding: 0 var(--column-gutter);
}
